Exec Sse
POST
/api/instance/:instance_id/exec/sseExec Sse
Request
Path Parameters
- instance_idstringrequired
application/json
Bodyrequired
- object
Example:
{"command":["echo","Hello, World!"]}commandarray of stringrequired
- Itemsstring
Responses
- 200
- 422
SSE events named stdout, stderr, exit, or error; data is plain text. Readiness errors occur before streaming as JSON HTTP errors.
text/event-stream
Schema
- string
Format:
"binary"Example:
"event: stdout\ndata: hello\n\nevent: exit\ndata: 0\n\n"
Validation Error
application/json
Schema
- object
detailarray of object
Itemsobject
locarray of string | integerrequired
Itemsstring | integer
Any of the following schemas:
- stringstring
- integerinteger
- msgstringrequired
- typestringrequired